package java.security.cert;

import java.util.Collections;
import java.util.Collection;

public class CollectionCertStoreParameters implements CertStoreParameters
{
    private Collection<?> coll;
    
    public CollectionCertStoreParameters(Collection<?> coll) {
        if (coll == null) {
            throw new NullPointerException();
        }
        this.coll = coll;
        return;
    }
    
    public CollectionCertStoreParameters() {
        this.coll = Collections.EMPTY_SET;
    }
    
    public Collection<?> getCollection() {
        return this.coll;
    }
    
    @Override
    public Object clone() {
        try {
            return super.clone();
        }
        catch (CloneNotSupportedException cause) {
            throw new InternalError(cause.toString(), cause);
        }
    }
    
    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("CollectionCertStoreParameters: [\n");
        sb.append("  collection: " + this.coll + "\n");
        sb.append("]");
        return sb.toString();
    }
}
